# <img src="https://66.media.tumblr.com/tumblr_mbe1y9WerA1riqzepo1_400.gif" width="60"> MyDotFiles

W końcu zebrałem w jedno repo wszystkie potrzebne mi konfiguracje oprogramowania którego używam na codzień.

## Konfiguracja dla:

- [neovim][neovim] - miły fork vim'a (przed vim 8.x zbawienny w zarządzaniu procesami)
- [tmux][tmux] - najlepszy manager sessji (screen R.I.P)
- [tmuxp][tmuxp] - manager zarządzania sesjami tmux'a - python powered
- [zsh][zsh] - zarąbisty shell, fish niestety nie potrafił sobie poradzić z kompatybilnością z SH
- [taskwarrior][taskwarrior] - zarządzanie czasem i zadaniami
- [eg][eg] - help systemowy z własną konfiguracją i możliwością rozbudowy o własne komendy/opisy
- [i3-gaps][i3-gaps] - mały i szybki WM
- [polybar][polybar] - bardzo fajny i prosty w konfiguracji status bar dla [i3-gaps][i3-gaps]
- [rofi][rofi] - zamiennik dla dmenu, dużo ładniejszy.
- [dunst][dunst] - serwer powiadomień systemowych
- [betterlockscreen][betterlockscreen] - zamiennik dla i3lock, ładniejszy i ma więcej możliwości konfiguracji

## Dodatkowe oprogramowanie

- [powerlevel9k][powerlevel9k] - rozbuodowany prompt dla ZSH, fajne opcje konfiguracji
- [powerline][powerline] - dodatek do zsh/vim/tmux 
- [thyme][thyme] - pomodoro w shellu 
- [taskwarrior][taskwarrior] - j.w. zarządzanie zadaniami w unix'ach (kompatybilny z JIRA/TAIGA/etc...)
- [wal][wal] - świetne narzędzie do generowania schematów kolorów na bazie tapety pulpitu
- [mosh][mosh] - mobile ssh, usługa pozwalająca na utrzymanie sesji ssh nawet po zmianie łącza.
- [rtv][rtv] - reddit w konsoli
- [pass][pass] - password manager w konsoli
- [borg][borg] - soft do backupów z dużymi możliwościami.


## Moje założenia dotfiles

Od lat pracuję w konsoli, interfejs ASCII jest dla mnie dużo bardziej natywny, aniżeli klikanie po okienkach. Przy dobrej konfiguracji powłoka daje dużo więcej możliwości niż GUI. 

# Opis

## .Xresources

Konfiguracja terminala [urxvt][urxvt], należy pamiętać, że każda zmiana w pliku wymaga przegudowania xrdb, czyli:

```
xrdb ~/.Xresources
```
W moim przypadku urxvt jest ustawiony na tryb transparentny.

## i3-gaps

Minimalistyczny Window Manager, posiada system-tray, bardzo przyjemny patent na rozkładanie okien i tworzenie pulpitów (kontenerów).
Dzięki wykorzystaniu [wal][wal] i kilku skryptów, system pozwala na szybką zmianę kolorystyki.

![screen_1](./docs/screen_1.png)
![screen_2](./docs/screen_2.png)
![screen_3](./docs/screen_3.png)

Więcej informacji znajdziesz [tu](./docs/i3.md)

## (neo)ViM

## BorgBackup

Przydatne nrzędzie do tworzenia kopii zapasowych na różnych serwerach/dyskach i innych patentach. 

- [borg-zsh-completion][borg-zsh-completion] - intergracja z autouzupełnianiem zsh

[neovim]: https://github.com/neovim/neovim "NeoVim"
[tmux]: https://github.com/tmux/tmux/wiki "tmux"
[tmuxp]: https://github.com/tmux-python/tmuxp "tmuxp"
[zsh]: http://www.zsh.org/ "zsh"
[eg]: https://github.com/srsudar/eg "eg"
[powerlevel9k]: https://github.com/bhilburn/powerlevel9k "Powerlevel9k"
[powerline]: https://github.com/b-ryan/powerline-shell "Powerline"
[thyme]: https://github.com/sourcegraph/thyme "Thyme"
[taskwarrior]: https://taskwarrior.org/ "TaskWarrior"
[wal]: https://github.com/dylanaraps/wal "wal"
[pass]: https://www.passwordstore.org/ "PasswordStore"
[mosh]: https://mosh.org/ "MoSH"
[rtv]: https://github.com/michael-lazar/rtv "Reddit console client"
[borg]: https://www.borgbackup.org/ "BorgBackup"
[borg-zsh-completion]: https://github.com/mrkmg/borgbackup-zsh-completion "Borg zsh"
[termtrack]: https://github.com/trehn/termtrack "TermTrack"
[i3-gaps]: https://github.com/Airblader/i3 "i3-gaps"
[polybar]: https://github.com/polybar/polybar "polybar"
[rofi]: https://github.com/davatorium/rofi "rofi"
[dunst]: https://github.com/dunst-project/dunst "dunst"
[urxvt]: https://wiki.archlinux.org/index.php/Rxvt-unicode "urxvt"
[betterlockscreen]: https://github.com/pavanjadhaw/betterlockscreen "betterlockscreen"
